---
title: Introduction
nav_order: 1
---

# Introduction

This Statamic addon provides an out of the box solution for adding a members area or member restricted content to your site, building on Statamic’s existing user management and user form tags. It also provides a self-contained members section in the control panel, allowing you to manage members independently of other users.

> **Important:** This addon uses Statamic’s multi-user features, which are Pro only. Therefore this addon will only work with the Pro edition.

## Features

* A self-contained members section in the control panel that:
	* Only lists members and allows you to search them
	* Allows you to create members through a simplified and customizable user wizard
	* Allows you to send member specific welcome emails that link to a frontend activation form
	* Allows you to export all members as either a CSV or JSON file
	* Uses seperate view, create and edit member permissions
* A members widget for the dashboard
* These additional user form tags:
	* Activate account
	* Update profile
	* Change password
* Restricted versions of the [built-in user and users tags](https://statamic.dev/reference/tags) for fetching member data and lists of members
* Fully-functional starter templates for user account and directory pages, implementing the included tags plus all the [built-in user form tags](https://statamic.dev/reference/tags) (register, login, forgot password and reset password)
* Optional routes for user account and directory pages
* A set of user account and directory URL tags